<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : jxta_profile.xml.xml
    Created on : July 17, 2005, 3:27 PM
    Author     : danielbrookshier
    Description:
        JXTA EXT Configuration Profile.
-->
<!DOCTYPE org.jxta:configuration>
<jxta>
<peer name="jxta RDV/Relay"
    
    descriptor="brookshier rdv"
    home="file://D:/workspace/ok/data/testpeer/jxta_files "
    trace="user default">

    <description>jxta RDV Relay Node</description>
    <security enabled="true" />

    <proxy enabled="false">http://usr:pwd@wtf.com:8080</proxy>
  </peer>
        
  <network>
    <rendezVous bootstrap="http://wtf.com/bar/rendezVous"
      discovery="false">
      <address>//:</address>
    </rendezVous>

    <relays bootstrap="http://foo.com/bar/relay"
      discovery="false">
      <address>//:</address>
    </relays>
  </network>
  
  <transport>
    <tcp enabled="true">
      <incoming enabled="true"/>
      <outgoing enabled="true"/>
      <address range="100">
        <multicast enabled="false"
          size="16384">udp://224.0.1.85:1234</multicast>
        tcp://:9801</address>
      <!-- publicAddress exclusive="false">tcp://0.0.0.0:9801</publicAddress> -->
      <proxy enabled="false">tcp://wtf.com:1234</proxy>
    </tcp>
    
    <http enabled="true">
      <incoming enabled="true"/>
      <outgoing enabled="true"/>
      <address range="100">http://:9800</address>
      <publicAddress>http://:9800</publicAddress>
      <proxy enabled="false"/>
    </http>

  </transport>
  
  <service>      
    <rendezVous enabled="true">
      <autoStart enabled="false">0</autoStart>
    </rendezVous>

    <relay enabled="true"
      queueSize="200">
      <incoming enabled="true"
        maximum="300"
        lease="7200000"/>
      <outgoing enabled="true"
        maximum="1"
        lease="7200000"/>
    </relay>
  
    <endpoint queueSize="40"/>
  
    <proxy enabled="false"/>
  </service>
  
  
 
   <network>
    <rendezVous>
      <address>//:</address>
    </rendezVous>
  
    <relays>
      <address>//:</address>
    </relays>
  </network>
</jxta>

